#    cuecorp.py
#    Discourse information for attribution and connectives
#
#    Created by Robert Elwell, University of Texas at Austin, Department of Linguistics
#    http://comp.ling.utexas.edu/relwell
#
#
#    This file is part of mrg_utils.py.
#
#    mrg_utils.py is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Foobar is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with mrg_utils.py.  If not, see <http://www.gnu.org/licenses/>.



cues = {
'after':'Sub',
'although':'Sub',
'always assuming that':'Sub',
'and':'Coord',
'and/or':'Coord',
'as':'Sub',
'as long as':'Sub',
'as soon as':'Sub',
'at the moment when':'Sub',
'because':'Sub',
'before':'Sub',
'but':'Coord',
'but then':'Coord',
'by the time':'Sub',
'considering that':'Sub',
'despite the fact that':'Sub',
'each time':'Sub',
'else':'Coord',
'especially because':'Sub',
'especially if':'Sub',
'especially when':'Sub',
'even after':'Sub',
'even before':'Sub',
'even if':'Sub',
'even though':'Sub',
'even when':'Sub',
'every time':'Sub',
'everywhere':'Sub',
'except after':'Sub',
'except before':'Sub',
'except if':'Sub',
'except insofar as':'Sub',
'except when':'Sub',
'for':'Sub',
'for fear that':'Sub',
'for the simple reason':'Sub',
'given that':'Sub',
'however':'Sub',
'if':'Sub',
'if ever':'Sub',
'if only':'Sub',
'in case':'Sub',
'in that':'Sub',
'in the hope that':'Sub',
'inasmuch as':'Sub',
'insofar as':'Sub',
'just as':'Sub',
'largelybecause':'Sub',
'lest':'Sub',
'mainly because':'Sub',
'merely because':'Sub',
'much as':'Sub',
'next time':'Sub',
'no sooner than':'Sub',
'notwithstanding that':'Sub',
'now':'Sub',
'now that':'Sub',
'on condition that':'Sub',
'on the assumption that':'Sub',
'on the grounds that':'Sub',
'once':'Sub',
'only after':'Sub',
'only becuase':'Sub',
'only before':'Sub',
'only if':'Sub',
'only when':'Sub',
'or':'Coord',
'or again':'Coord',
'or else':'Coord',
'particularly because':'Sub',
'particularly if':'Sub',
'particularly when':'Sub',
'presumably because':'Sub',
'provided that':'Sub',
'providing that':'Sub',
'regardless of whether':'Sub',
'seeing as':'Sub',
'simply because':'Sub',
'since':'Sub',
'so':'Sub',
'so that':'Sub',
'such that':'Sub',
'supposing that':'Sub',
'the first time':'Sub',
'the more often':'Sub',
'the next time':'Sub',
'then':'Coord',
'though':'Sub',
'to the degree that':'Sub',
'to the extent that':'Sub',
'unless':'Sub',
'until':'Sub',
'when':'Sub',
'whenever':'Sub',
'where':'Sub',
'wherein':'Sub',
'wherever':'Sub',
'whether or not':'Sub',
'while':'Sub',
'whilst':'Sub',
'yet':'Coord'
}


attVs = [
'added',
'continued',
'stated',
'said',
'announced',
'asserted',
'commented',
'declared',
'observed',
'remarked',
'reported',
'answered',
'replied',
'responded',
'acknowledged',
'admitted',
'affirmed',
'alleged',
'avowed',
'conceded',
'confessed',
'disclosed',
'divulged',
'revealed',
'begged',
'demanded',
'implored',
'insisted',
'pleaded',
'explained',
'rejoined',
'retorted',
'answered',
'contented',
'emphasized',
'exclaimed',
'maintained',
'proclaimed',
'proposed',
'hinted',
'implied',
'insinuated',
'intimated',
'suggested',
'barked',
'bellowed',
'cried',
'croaked',
'declaimed',
'drawled',
'joked',
'mumbled',
'murmured',
'muttered',
'roared',
'scolded',
'shouted',
'shrieked',
'wailed',
'whispered',
'accepts', 
'accounts for',
'acknowledges',
'addresses', 
'adds', 
'admits', 
'advises', 
'affirms', 
'agrees', 
'alleges', 
'allows', 
'analyzes', 
'answers', 
'argues', 
'asks', 
'asserts', 
'assumes', 
'believes', 
'categorizes', 
'challenges', 
'charges', 
'cites', 
'claims', 
'comments', 
'compares', 
'complains', 
'concedes', 
'concludes', 
'concurs', 
'confesses', 
'confirms', 
'considers', 
'contends', 
'contents', 
'criticizes', 
'deals with', 
'decides', 
'declares', 
'defines', 
'denies', 
'describes',
'disagrees', 
'discusses', 
'disputes', 
'emphasizes', 
'emphasizes', 
'endorses', 
'exclaims', 
'explains', 
'expresses', 
'finds', 
'grants', 
'hypothesizes', 
'illustrates', 
'implies', 
'indicates', 
'insinuates', 
'insists', 
'interprets', 
'introduces', 
'lists', 
'maintains', 
'mentions', 
'mumbles', 
'notes', 
'objects', 
'observes', 
'offers', 
'opposes', 
'points out', 
'proposes', 
'questions', 
'realizes', 
'reasons', 
'refutes', 
'rejects', 
'remarks', 
'replies', 
'reports', 
'responds', 
'reveals', 
'sees', 
'shows', 
'speculates', 
'states', 
'suggests', 
'supports', 
'supposes', 
'thinks', 
'uses', 
'utilizes', 
'verifies', 
'whines', 
'writes'
]